Package com.logicaldoc.core.filler

# Class Fillable

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.metadata.ExtensibleObject
com.logicaldoc.core.filler.Fillable

All Implemented Interfaces:
  `Extensible`, `Serializable`

Direct Known Subclasses:
  `AbstractDocument`, `Folder`

@MappedSuperclass public abstract class Fillable extends ExtensibleObject
An abstract extension of `ExtensibleObject` that adds the necessary to support autofill

Since:
  9.2.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Fillable()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Long`
`getFillerId()`
`int`
`hashCode()`
`void`
`setFillerId(Long fillerId)`

### Methods inherited from class com.logicaldoc.core.metadata.ExtensibleObject

`getAttribute, getAttributeAtPosition, getAttributeNames, getAttributeNames, getValue, getValueAttributes, getValues, removeAttribute, setAttribute, setValue, setValues`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.logicaldoc.core.metadata.Extensible

`getAttributes, getTemplate, getTemplateId, getTemplateName, setAttributes, setTemplate, setTemplateId, setTemplateName`

## Constructor Details

### Fillable

public Fillable()

## Method Details

### getFillerId

public Long getFillerId()

### setFillerId

public void setFillerId(Long fillerId)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`